Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface StackProducer

All Known Subinterfaces:
  ConstantPushInstruction, PushInstruction

All Known Implementing Classes:
  AALOAD, ACONST_NULL, ANEWARRAY, ArithmeticInstruction, ARRAYLENGTH, BALOAD, BIPUSH, CALOAD, CHECKCAST, ConversionInstruction, DALOAD, DCMPG, DCMPL, DCONST, DUP, DUP2, FALOAD, FCMPG, FCMPL, FCONST, GETFIELD, GETSTATIC, IALOAD, ICONST, INSTANCEOF, InvokeInstruction, JsrInstruction, LALOAD, LCMP, LCONST, LDC, LDC2_W, LoadInstruction, NEW, NEWARRAY, SALOAD, Select, SIPUSH, SWAP

public interface StackProducer

Denote an instruction that may produce a value on top of the stack (this excludes DUP_X1, e.g.)

Version:
  $Id: StackProducer.java,v 1.1.1.1 2001/10/29 20:00:27 jvanzyl Exp $
Author:
  M. Dahm

Method Summary
`int` | `produceStack(ConstantPoolGen cpg)`

Method Detail

### produceStack

    public int produceStack(ConstantPoolGen cpg)

  Returns:
    how many words are produced on stack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.